%define version	1.100.1
%define release 5mdk

%define major 	0
%define libname %mklibname %name %major

Summary: 	Chemistry software file format converter
Name: 		openbabel
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://openbabel.sourceforge.net

Source: 	%name-%version.tar.bz2
Patch0:		%{name}-1.100.1-libtool-1.5.patch.bz2

BuildRequires:	doxygen

%description
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

%package -n %{libname}
Summary:        Shared libraries from openbabel.
Group:          System/Libraries

%description -n %{libname}
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package contains shared libraries of openbabel.

%package -n %{libname}-devel
Summary:        Development tools for programs which will use the %libname library.
Group:          Development/C++
Requires:	%{libname} = %version-%release
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package includes the header files and static libraries
necessary for developing programs using the %{name} library.

If you are going to develop or compile programs which will use
this library, you should install this package.  You'll also
need to have the %libname package installed.

%prep
%setup -q
%patch0 -p1 -b .libtool15

%build
# mdk doesn't have libtool 1.5
%define __libtoolize /bin/true
%configure2_5x --enable-doxygen --enable-shared
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d -m 0755 $RPM_BUILD_ROOT/%_includedir/openbabel/math
cp src/math/*.h $RPM_BUILD_ROOT/%_includedir/openbabel/math/ 

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README THANKS
%doc doc/*.html doc/diox* doc/README*
%_bindir/*
%_mandir/man?/*
%_datadir/%name

%files -n %libname
%defattr(-, root, root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-, root, root)
%_includedir/*
%_libdir/pkgconfig/*.pc
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%changelog
* Tue Sep  2 2003 Abel Cheung <deaddog@deaddog.org> 1.100.1-5mdk
- configure2_5x, makeinstall_std, libtoolize
- Patch0: Fix libtool 1.5 to search for staging libraries first
- Enable building doxygen stuff

* Mon Jul 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.100.1-4mdk
- rebuild

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 1.100.1-3mdk
- add math includes
- fix libdir definintion

* Thu Jul 3 2003 Austin Acton <aacton@yorku.ca> 1.100.1-2mdk
- add shared library

* Wed Jun 25 2003 Austin Acton <aacton@yorku.ca> 1.100.1-1mdk
- 1.100.1
- add pkgconfig file
- automate install
- cleanup spec

* Mon Dec 16 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.100.0-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- bump version

* Thu Nov 07 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.99.1-0.20021008.3mdk
- fix requires

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.99.1-0.20021008.2mdk
- remove libopenbabel package (.a in libopenbabel-devel)

* Tue Oct 8 2002 Austin Acton <aacton@yorku.ca> 1.99.1-0.20021008.1mdk
- add library and header files
- update from CVS

* Wed Sep 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.99-0.20020922.1mdk
- fix files section
- remove CVS files
- from Austin Acton <aacton@yorku.ca> :
	- initial package creation for Mandrake 9.0
